Subject: Re: bug#74561: [PATCH] Allow limiting the size of *Completions*

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Feb 2025 12:00:15 -0500

>> 1. partition the list of completions (e.g. by `seq-partition`)
>>    into N groups corresponding to columns;
>> 2. then take the first elements from each sublist
>>    while laying them out line-by-line.
>
> I can do this, but just to warn you, this will require essentiallya
> complete rewrite of completion--insert-vertical.  So the patch is going
> to become a lot larger.  I suggest we should land the optimization for
> completion--insert-horizontal and completion--insert-one-column first,
> since those require smaller changes.

+1

        Stefan "not convinced such a rewrite is even worth the trouble,
                because of the increase of the costs that are
                proportional to the total completions"